Subject: biblatex detection in reftex is too naive, multiple bib files are problematic

From: "Philipp G. Haselwarter" <[email-masked]>
Date: Fri, 21 Jul 2023 14:19:06 +0200

To find .bib files, reftex uses `reftex-locate-bibliography-files', which
in turn checks whether bibtex is in use via `reftex-using-biblatex-p'. The
latter is too naïve: it only checks if "biblatex" is amongst the
`TeX-active-styles' or does a simple syntactic check of the current buffer.
In case \usepackage{biblatex} is loaded in, say, an included file, these
checks fail, and the use of biblatex is not detected. As a result, only the
first of potentially several \addbibresource{fooN.bib} statements is picked
up, and subsequent bib resources aren't parsed by reftex.

This is doubly unfortunate, because auctex's "style" (black) magic exposes
`LaTeX-bibliography-list', which does pick up the different bib files, and
could be used in reftex when available.